For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList conversations
      • GETGet conversation details
      • DELDelete conversation
      • GETGet conversation audio
      • GETGet signed URL
      • GETGet conversation token
      • POSTSend conversation feedback
      • POSTUpload conversation file
      • DELDelete conversation file
      • GETGet SIP messages for a conversation
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsConversations

Get signed URL

GET
/v1/convai/conversation/get-signed-url
GET
/v1/convai/conversation/get-signed-url
$curl -G https://api.elevenlabs.io/v1/convai/conversation/get-signed-url \
> -d agent_id=agent_id
1{
2 "signed_url": "string"
3}
Get a signed url to start a conversation with an agent with an agent that requires authorization
Was this page helpful?
Previous

Get conversation token

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

agent_idstringRequired

Agent id (agent_…) or speech engine external id (seng_), resolved to the same underlying resource.

include_conversation_idbooleanOptionalDefaults to false

Whether to include a conversation_id with the response. If included, the conversation_signature cannot be used again.

branch_idstring or nullOptional
The ID of the branch to use
environmentstring or nullOptional

The environment to use for resolving environment variables (e.g. ‘production’, ‘staging’). Defaults to ‘production’.

Response

Successful Response
signed_urlstring

Errors

422
Unprocessable Entity Error